This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 536458 (RHQ-804)

Summary: JVM sections in Monitoring Configuration appear twice
Product: [Other] RHQ Project Reporter: Corey Welton <cwelton>
Component: Core UIAssignee: John Mazzitelli <mazz>
Status: CLOSED CURRENTRELEASE QA Contact: Mike Foley <mfoley>
Severity: medium Docs Contact:
Priority: medium    
Version: 1.1preCC: skondkar
Target Milestone: ---Keywords: SubBug
Target Release: ---   
Hardware: All   
OS: All   
URL: http://jira.rhq-project.org/browse/RHQ-804
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Linux rlx-0-12.rhndev.redhat.com 2.6.18-92.1.10.el5 #1 SMP Wed Jul 23 03:55:54 EDT 2008 i686 i686 i386 GNU/Linux Red Hat Enterprise Linux Server release 5.2 (Tikanga) Kernel \r on an \m java version "1.5.0_16" Java(TM) 2 Runtime Environment, Standard Edit
Last Closed: 2013-09-02 03:18:02 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 585306    

Description Corey Welton 2008-09-09 10:12:00 EDT
In the Monitoring configuration page, the sections for JVMs show up twice -- once as subclasses of the parent AS Server, and then again as a standalone 'parent'.

Steps to repro:

1. Administration > 'All Types'
2. Scroll down to RHQ Agent > RHQ Agent JVM and click the associated "Edit Alert Templates" button.
3. Create a template.  
4. Return to the Administration > 'All Types' page; observe

Current results:

Note that a "(1 | 0) " template designation shows up twice in the UI -- and then notice that this is because the section for "RHQ Agent JVM" itself, as well as all its children classes, show up twice -- once as" RHQ Agent > RHQ Agent JVM", and once as a standalone parent class, "RHQ Agent JVM".

Expected results:
Either one of these, but not both.  It is confusing for the end user to glance at the page and wonder why so many alerts were apparently created -- and in general, no need to duplicate identical information in the UI.

Other notes:
* This appears to happen for just about any JVM, not just RHQ --install an AS instance, for example, and note the duplication of "JBoss AS JVM "

* Reported this in rev1385 but noted it in earlier versions.
Comment 1 Red Hat Bugzilla 2009-11-10 16:17:16 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-804
Comment 2 wes hayutin 2010-02-16 11:53:46 EST
Temporarily adding the keyword "SubBug" so we can be sure we have accounted for all the bugs.

keyword:
new = Tracking + FutureFeature + SubBug
Comment 3 wes hayutin 2010-02-16 11:59:00 EST
making sure we're not missing any bugs in rhq_triage
Comment 4 Corey Welton 2010-10-06 23:08:29 EDT
mazz, flip this over when gwt work done for config; let QE take a look at how things are looking afterwards.
Comment 5 John Mazzitelli 2011-02-17 12:11:34 EST
this page has been reimpl in gwt
Comment 6 Sunil Kondkar 2011-06-02 06:55:24 EDT
Verified in build 107 (Version: 4.1.0-SNAPSHOT Build Number: 9192306)

Created an alert template for RHQ Agent JVM and verified that no duplicate template designation or RHQ Agent JVM section or children are displayed.

Marking as verified.
Comment 7 Heiko W. Rupp 2013-09-02 03:18:02 EDT
Bulk closing of issues that were VERIFIED, had no target release and where the status changed more than a year ago.